Subject: bug#72684: 29.3; Wayland, daemon: window wont resize

From: Rustom Mody <[email-masked]>
Date: Mon, 19 Aug 2024 16:26:10 +0530

Two additions — one clarification and one additional (I think) related bug

1. When I say "The emacs window does not resize" I mean does not
resize by mouse. Alt-F8 works.
2. Another bug that I think is related: By default I start an emacs
daemon in the startup applications and connect with emacs client.
When I do this the window is tiny sized (and does not resize). ie some
5 lines by 16 characters
Closing the daemon and starting the daemon afresh makes the problem
disappear, so not sure where I can give a "- Q" recipe

On Mon, Aug 19, 2024 at 3:41 PM Rustom Mody <[email-masked]> wrote:
>
> Ok I now got it with emacs -Q
>
> I am adding the report-emacs-bug buffer from there
>
>
> In GNU Emacs 29.3 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.41,
>  cairo version 1.18.0) of 2024-04-01, modified by Debian built on
>  lcy02-amd64-083
> Windowing system distributor 'The X.Org Foundation', version 11.0.12302006
> System Description: Ubuntu 24.04 LTS
>
> Configured using:
>  'configure --build x86_64-linux-gnu --prefix=/usr
>  --sharedstatedir=/var/lib --libexecdir=/usr/libexec
>  --localstatedir=/var/lib --infodir=/usr/share/info
>  --mandir=/usr/share/man --with-libsystemd --with-pop=yes
>  --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/29.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/29.3/site-lisp:/usr/share/emacs/site-lisp
>  --with-sound=alsa --without-gconf --with-mailutils
>  --with-native-compilation --build x86_64-linux-gnu --prefix=/usr
>  --sharedstatedir=/var/lib --libexecdir=/usr/libexec
>  --localstatedir=/var/lib --infodir=/usr/share/info
>  --mandir=/usr/share/man --with-libsystemd --with-pop=yes
>  --enable-locallisppath=/etc/emacs:/usr/local/share/emacs/29.3/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/29.3/site-lisp:/usr/share/emacs/site-lisp
>  --with-sound=alsa --without-gconf --with-mailutils
>  --with-native-compilation --with-cairo --with-x=yes
>  --with-x-toolkit=gtk3 --with-toolkit-scroll-bars 'CFLAGS=-g -O2
>  -fno-omit-frame-pointer -mno-omit-leaf-frame-pointer
>  -ffile-prefix-map=/build/emacs-0yuuFP/emacs-29.3+1=. -fstack-protector-strong
>  -fstack-clash-protection -Wformat -Werror=format-security
>  -fcf-protection
>  -fdebug-prefix-map=/build/emacs-0yuuFP/emacs-29.3+1=/usr/src/emacs-1:29.3+1-1ubuntu2
>  -Wall' 'CPPFLAGS=-Wdate-time -D_FORTIFY_SOURCE=3'
>  'LDFLAGS=-Wl,-Bsymbolic-functions -Wl,-z,relro''
>
> Configured features:
> ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
> JSON LCMS2 LIBOTF LIBSELINUX LIBSYSTEMD LIBXML2 M17N_FLT MODULES
> NATIVE_COMP NOTIFY INOTIFY PDUMPER PNG RSVG SECCOMP SOUND SQLITE3
> THREADS TIFF TOOLKIT_SCROLL_BARS TREE_SITTER WEBP X11 XDBE XIM XINPUT2
> XPM GTK3 ZLIB
>
> Important settings:
>   value of $LANG: en_US.utf8
>   value of $XMODIFIERS: @im=ibus
>   locale-coding-system: utf-8-unix
>
> Major mode: Lisp Interaction
>
> Minor modes in effect:
>   tooltip-mode: t
>   global-eldoc-mode: t
>   eldoc-mode: t
>   show-paren-mode: t
>   electric-indent-mode: t
>   mouse-wheel-mode: t
>   tool-bar-mode: t
>   menu-bar-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   line-number-mode: t
>   indent-tabs-mode: t
>   transient-mark-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>
> Load-path shadows:
> None found.
>
> Features:
> (shadow sort mail-extr emacsbug message mailcap yank-media puny dired
> dired-loaddefs rfc822 mml mml-sec password-cache epa derived epg rfc6068
> epg-config gnus-util text-property-search time-date mm-decode mm-bodies
> mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader cl-loaddefs
> comp comp-cstr warnings icons subr-x rx cl-seq cl-macs gv cl-extra
> help-mode bytecomp byte-compile cl-lib sendmail rfc2047 rfc2045
> ietf-drums mm-util mail-prsvr mail-utils rmc iso-transl tooltip cconv
> eldoc paren electric uniquify ediff-hook vc-hooks lisp-float-type
> elisp-mode mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd
> fontset image regexp-opt fringe tabulated-list replace newcomment
> text-mode lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow
> isearch easymenu timer select scroll-bar mouse jit-lock font-lock syntax
> font-core term/tty-colors frame minibuffer nadvice seq simple cl-generic
> indonesian philippine cham georgian utf-8-lang misc-lang vietnamese
> tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
> romanian slovak czech european ethiopic indian cyrillic chinese
> composite emoji-zwj charscript charprop case-table epa-hook
> jka-cmpr-hook help abbrev obarray oclosure cl-preloaded button loaddefs
> theme-loaddefs faces cus-face macroexp files window text-properties
> overlay sha1 md5 base64 format env code-pages mule custom widget keymap
> hashtable-print-readable backquote threads dbusbind inotify lcms2
> dynamic-setting system-font-setting font-render-setting cairo
> move-toolbar gtk x-toolkit xinput2 x multi-tty make-network-process
> native-compile emacs)
>
> Memory information:
> ((conses 16 76893 9718)
>  (symbols 48 7142 0)
>  (strings 32 19412 1234)
>  (string-bytes 1 588569)
>  (vectors 16 15336)
>  (vector-slots 8 324393 14570)
>  (floats 8 38 46)
>  (intervals 56 314 0)
>  (buffers 984 12))